You are here

macOS 10.15 Catalina Support Info

Login to Post to Forums

You must be logged in to the Eventide website in order to post to our forums. If you do not have an account, you will need to create one. You may also reset your password.

24 posts / 0 new
Last post
tlongabaugh's picture
Eventide Staff
tlongabaugh
Joined: May 29 2014
Posts: 798

macOS 10.15 Catalina Support Info

(Eventide Staff)
October 03, 2019 - 03:00 pm

Eventide plugins are fully compatible with macOS 10.15 Catalina.

 

Previous announcement (edited 11/13/19):

Apple is expected to release macOS 10.15 Catalina sometime in October.

At the moment, our plugins are not currently supported on macOS 10.15. We have been conducting systematic tests, and there are several known issues that we are working on resolving. We hope to officially support macOS 10.15 soon.

In the meantime, please do not install macOS 10.15 if you are using Eventide plugins. Please check back here regularly for up-to-date information about compatibility.

gwahlers
Joined: Apr 18 2019
Posts: 2
October 04, 2019 - 03:51 pm

will updating effect the H9 software ?

 

galanter
Joined: Apr 22 2018
Posts: 3
October 05, 2019 - 05:54 pm

This release is not exactly a big surprise. Developers have had access to betas for months. Why weren't more human resources put on this?

nickrose's picture
Eventide Staff
nickrose
Joined: Jan 17 2008
Posts: 4414
October 05, 2019 - 08:49 pm

galanter wrote:

This release is not exactly a big surprise. Developers have had access to betas for months. Why weren't more human resources put on this?

Companies much larger than ours are having problems with Catalina.

Unless your really really need it, I would suggest that you wait a while.

 

galanter
Joined: Apr 22 2018
Posts: 3
October 05, 2019 - 11:00 pm

Are these problems due to 32-bit support going away? That's been in the works for *years*.

Vanuatu
Joined: Apr 14 2019
Posts: 3
October 06, 2019 - 09:45 am

Sorry Eventide, you have had the chance of testing and making the necessary adjustments with the Catalina beta for months. As I just spent quite some money on plugins from you I find this amateur way you are dealing with it pretty upsetting. What is you time frame for a solution now? Some days? Some months?

nickrose's picture
Eventide Staff
nickrose
Joined: Jan 17 2008
Posts: 4414
October 06, 2019 - 01:20 pm

Many companies much larger than Eventide do not yet have support for Catalina. For example:

http://avid.force.com/pkb/articles/en_US/Compatibility/macOS-Catalina-su...

This stuff is not easy.

Please do not rush to upgrade to the latest shiniest thing unless either you really need it, or are confident that full support is in place.

 

galanter
Joined: Apr 22 2018
Posts: 3
October 06, 2019 - 08:27 pm

nickrose wrote:

Many companies much larger than Eventide do not yet have support for Catalina. For example:

http://avid.force.com/pkb/articles/en_US/Compatibility/macOS-Catalina-su...

This stuff is not easy.

Please do not rush to upgrade to the latest shiniest thing unless either you really need it, or are confident that full support is in place.

Please do not assume people are anxious to install Catalina merely because they like shiny things.  For example, Apple will be releasing security updates, and perhaps they will only install under Catalina. Other application vendors will be making highly desireable new releases, and perhaps they will only install under Catalina. Some use systems that are administered by IT staff, and they may have policies such that they only support the latest OS release.

etc.

charlesanderson
Joined: Jul 9 2019
Posts: 1
October 07, 2019 - 07:04 am

Hi everyone, I'm  Charles Anderson, I have just joined the site.Nice to meet you all. I just want to explore knowledge and share the valuable information here.

Thanku

tlongabaugh's picture
Eventide Staff
tlongabaugh
Joined: May 29 2014
Posts: 798
October 07, 2019 - 11:07 am

Hi all-

It is understandable that the current lack of support on Catalina is frustrating. As nickrose has mentioned, there are quite a number of significant changes in the release of Catalina, and they are not trivial to support.

We have in fact been testing with the Catalina betas for several months, and making the necessary changes to our plugins and installers to support the release. However, there are still gating items - which we have reported to Apple - that prevent us from yet offerring full support. Additionally, Apple has been a moving target with regard to the changes required by Catalina. This process is further complicated when you are creating software which is run inside of other software (e.g. plug-ins).

Of course, it is understood that there are a variety of reasons that users would want to update to Catalina. We are working to support it as soon as possible.

-Tom

amul
Joined: Oct 5 2018
Posts: 1
October 07, 2019 - 04:51 pm

curious, do you guys have any projections or ideas? is it a week? or a month? three months?

wonbyte
Joined: Aug 23 2019
Posts: 1
October 12, 2019 - 10:55 am

Any updates or ETA on when we might have Catalina support?

Eventide Staff
rlehman-borer
Joined: Dec 10 2018
Posts: 17
October 22, 2019 - 04:57 pm

Some of our upstream software dependencies don't yet fully support Catalina, so we've been working with other vedors to find solutions that will be compatible with the new macOS without breaking existing configurations. I think we're getting very close, but I want to make sure to allocate sufficient time for testing before we support Catalina.

wilkinsi's picture
wilkinsi
Joined: Feb 26 2012
Posts: 288
October 25, 2019 - 11:52 am

I'm curious to see how this "Side Car" feature works. In theory, users could have an Eventide plugin displayed on their iPad whilst their DAW is on the main`display, for example. Eventide are not the only developer with Catalina woes. Empirical Labs is another I use, so I understand the frustration in having to wait.

Vanuatu
Joined: Apr 14 2019
Posts: 3
October 25, 2019 - 03:04 pm

Sorry I don't get it. Do all Eventide plugins not work at all with Catalina? Or only some plugins? Or only certain features of some plugins? Please, could you clarify this? Information here has been pretty vague.

Eventide Staff
rlehman-borer
Joined: Dec 10 2018
Posts: 17
October 25, 2019 - 04:27 pm

Vanuatu wrote:

Sorry I don't get it. Do all Eventide plugins not work at all with Catalina? Or only some plugins? Or only certain features of some plugins? Please, could you clarify this? Information here has been pretty vague.

At this time we're not aware of any problems with the plugins themselves, but we've found some issues when running our installers on Catalina. In particular, access to the Documents directory has been restricted, and that's where we've historically kept presets and documentation. If you've upgraded to Catalina and already have Eventide plugins installed, they likely still work. Running a fresh installation on Catalina may or may not work for you with the current installer versions, and we won't be able to provide support to Catalina users until we've officially released Catalina-compatible installers.

In short, if you're not on Catalina yet, we advise sticking with your current OS for a bit longer. If you're already on Catalina and want to give it a shot, it's quite possible that you'll be able to get it working, but you do so at your own risk. I hope that helps!

Vanuatu
Joined: Apr 14 2019
Posts: 3
October 25, 2019 - 06:03 pm

Thank you!

wichita2006
Joined: Dec 29 2017
Posts: 1
October 29, 2019 - 11:37 am

Any news about the issue you are having with Catalina?

dcarmich
Joined: Sep 8 2015
Posts: 1
October 31, 2019 - 05:39 pm

Just as a data point: I was able to install Anthology XI successfully on macOS 10.15.1 (along with the latest iLok) without any issues.

 

derelict78
Joined: Jul 21 2013
Posts: 9
November 01, 2019 - 06:43 pm

just bought mangleverb and it is not working. 

Error running chown -R 'admin' '/Users/admin/Documents/Eventide': chown: /Users/admin/Documents/Eventide: Operation not permitted

chown: /Users/admin/Documents/Eventide: Operation not permitted

any idea when this will be resolved?

Eventide Staff
rlehman-borer
Joined: Dec 10 2018
Posts: 17
November 13, 2019 - 05:34 pm

We've just released Catalina-compatible versions of all our plugins (and their installers)!

Note: Plugin presets and documentation have been moved from the user Documents directory to Music, and the new installers will move any custom presets you have saved in the old location. This is true for all versions of macOS, but Catalina users will be prompted to grant the installer permission to modify the ~/Documents directory.

Enjoy, and of course let us know if you encounter any problems.

dangayle
Joined: Dec 9 2010
Posts: 2
November 19, 2019 - 12:55 am

Why didn't you take the opportunity to move the presets to the standard macOS location ~/Library/Audio/Presets instead of this non-standard location?

 

Eventide Staff
rlehman-borer
Joined: Dec 10 2018
Posts: 17
November 19, 2019 - 11:57 am

dangayle wrote:

Why didn't you take the opportunity to move the presets to the standard macOS location ~/Library/Audio/Presets instead of this non-standard location?

 

My understanding is that the ~/Library/Audio/Presets directory is created and used by Logic and GarageBand for storing Audio Units presets (.aupreset). Eventide presets are stored in a custom format (.tide) that can be used by all the plugin formats we support, so we made the decision to use a different location.

dangayle
Joined: Dec 9 2010
Posts: 2
November 20, 2019 - 02:25 pm

rlehman-borer wrote:

My understanding is that the ~/Library/Audio/Presets directory is created and used by Logic and GarageBand for storing Audio Units presets (.aupreset). Eventide presets are stored in a custom format (.tide) that can be used by all the plugin formats we support, so we made the decision to use a different location.

That is where almost all other developers put their user presets, .aupreset or not. U-he, Valhalla, Softube. It's mostly only Native Instruments, iZotope and Eventide who do not.

Default presets usually go in /Library/Audio/Presets: